/*
  Copyright (C) 2013-2018 Expedia Inc.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.hotels.styx.infrastructure.configuration.yaml;

import com.google.common.collect.ImmutableMap;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.Map;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.is;

/**
 *
 */
public class YamlConfigurationFormatTest {
    @Test
    public void canResolvePlaceholdersInInclude() throws IOException {
        Map<String, String> overrides = ImmutableMap.of("CONFIG_LOCATION", "some_location");

        String yaml = "${CONFIG_LOCATION:classpath:}/conf/environment/default.yaml";

        String resolved = YamlConfigurationFormat.YAML.resolvePlaceholdersInText(yaml, overrides);

        assertThat(resolved, is("some_location/conf/environment/default.yaml"));
    }
}