/*
  Copyright (C) 2013-2019 Expedia Inc.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.hotels.styx.server;

import io.netty.channel.EventLoopGroup;
import io.netty.channel.ServerChannel;

/**
 * Factory for creating netty channel implementation based on the current system.
 */
public interface ServerEventLoopFactory {
    /**
     * EventLoopGroup for establishing new channels.
     *
     * @return event loop group
     */
    EventLoopGroup newBossEventLoopGroup();

    /**
     * EventLoopGroup for handling events on channels.
     *
     * @return event loop group
     */
    EventLoopGroup newWorkerEventLoopGroup();

    Class<? extends ServerChannel> serverChannelClass();

}
