## Styx Response Headers

Styx adds some headers to the messages it proxies. 
The names of these headers are configurable, as well as the format of the response info header value.
The elements for configuring each header can be found under the element `styxHeaders` (see [Configuration Overview](configure-overview.md))
The format and meaning of these headers is documented below.

### Response Info

* **Type:** response header
* **Default Name:** `X-Styx-Info`
* **Default Format:** `{INSTANCE};{REQUEST_ID}`
* **Configuration element:** `styxInfo`
* **Configurable properties:** `name`, `valueFormat`

The format of this header is configurable using the property `valueFormat`.
It resolves the following placeholders:

* `{INSTANCE}` - the Styx instance, i.e. the value of "jvmRouteName"
* `{REQUEST_ID}` - the unique request ID generated by Styx
* `{VERSION}` - the Styx version, i.e. STYX.&lt;version&gt;

By default, the format is `{INSTANCE};{REQUEST_ID}`

### Origin ID

* **Type:** response header
* **Default Name:** `X-Styx-Origin-Id`
* **Configuration element:** `originId`
* **Configurable property:** `name`

Contains the ID of the origin that served the response.

### Request ID

* **Type:** request header
* **Default Name:** `X-Styx-Request-Id`
* **Configuration element:** `requestId`
* **Configurable property:** `name`

Contains the unique request ID generated by Styx
 

 